(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 11.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     78884,       2163]
NotebookOptionsPosition[     78566,       2147]
NotebookOutlinePosition[     78908,       2162]
CellTagsIndexPosition[     78865,       2159]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "Throught", " ", "this", " ", "notebook", " ", "I", " ", "use", " ", 
     "E"}], "=", 
    RowBox[{
     RowBox[{"1", " ", "rather", " ", "than", " ", 
      SubscriptBox["L", "z"]}], "=", 
     RowBox[{"1", "!"}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Definition", " ", "of", " ", "function", " ", "that", " ", "hides", " ", 
    "code", " ", "after", " ", "execution"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"AutoCollapse", "[", "]"}], ":=", 
    RowBox[{"(", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"$FrontEnd", "=!=", "$Failed"}], ",", 
       RowBox[{
        RowBox[{"SelectionMove", "[", 
         RowBox[{
          RowBox[{"EvaluationNotebook", "[", "]"}], ",", "All", ",", 
          "GeneratedCell"}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{
        "FrontEndTokenExecute", "[", "\"\<SelectionCloseUnselectedCells\>\"", 
         "]"}]}]}], "]"}], ")"}]}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"Relevant", " ", "quantities"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"rplus", "[", "a_", "]"}], ":=", 
     RowBox[{"1", "+", 
      RowBox[{"Sqrt", "[", 
       RowBox[{"1", "-", 
        SuperscriptBox["a", "2"]}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"rergo", "[", 
     RowBox[{"\[Theta]_", ",", "a_"}], "]"}], ":=", 
    RowBox[{"1", "+", 
     RowBox[{"Sqrt", "[", 
      RowBox[{"1", "-", 
       RowBox[{
        SuperscriptBox["a", "2"], 
        SuperscriptBox[
         RowBox[{"Cos", "[", "\[Theta]", "]"}], "2"]}]}], "]"}]}]}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"r1", "[", "a_", "]"}], ":=", 
     RowBox[{"2", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"Cos", "[", 
         RowBox[{
          FractionBox["2", "3"], 
          RowBox[{"ArcCos", "[", 
           RowBox[{"-", "a"}], "]"}]}], "]"}]}], ")"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"r2", "[", "a_", "]"}], ":=", 
     RowBox[{"2", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"Cos", "[", 
         RowBox[{
          FractionBox["2", "3"], 
          RowBox[{"ArcCos", "[", "a", "]"}]}], "]"}]}], ")"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"r3", "[", "a_", "]"}], ":=", 
     RowBox[{"1", "+", 
      RowBox[{"2", 
       RowBox[{"Sqrt", "[", 
        RowBox[{"1", "-", 
         FractionBox[
          SuperscriptBox["a", "2"], "3"]}], "]"}], 
       RowBox[{"Cos", "[", 
        RowBox[{
         FractionBox["1", "3"], 
         RowBox[{"ArcCos", "[", 
          FractionBox[
           RowBox[{"1", "-", 
            SuperscriptBox["a", "2"]}], 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"1", "-", 
              FractionBox[
               SuperscriptBox["a", "2"], "3"]}], ")"}], 
            FractionBox["3", "2"]]], "]"}]}], "]"}]}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"TrappedLz", "[", 
      RowBox[{"r_", ",", "a_"}], "]"}], ":=", 
     RowBox[{"-", 
      FractionBox[
       RowBox[{
        SuperscriptBox["r", "3"], "-", 
        RowBox[{"3", 
         SuperscriptBox["r", "2"]}], "+", 
        RowBox[{
         SuperscriptBox["a", "2"], "r"}], "+", 
        SuperscriptBox["a", "2"]}], 
       RowBox[{"a", 
        RowBox[{"(", 
         RowBox[{"r", "-", "1"}], ")"}]}]]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"TrappedQ", "[", 
      RowBox[{"r_", ",", "a_"}], "]"}], ":=", 
     RowBox[{"-", 
      FractionBox[
       RowBox[{
        SuperscriptBox["r", "3"], 
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["r", "3"], "-", 
          RowBox[{"6", 
           SuperscriptBox["r", "2"]}], "+", 
          RowBox[{"9", "r"}], "-", 
          RowBox[{"4", 
           SuperscriptBox["a", "2"]}]}], ")"}]}], 
       RowBox[{
        SuperscriptBox["a", "2"], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"r", "-", "1"}], ")"}], "2"]}]]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"CosSquaredThetaTurn", "[", 
      RowBox[{"a_", ",", "Lz_", ",", "Q_"}], "]"}], ":=", 
     FractionBox[
      RowBox[{
       SuperscriptBox["a", "2"], "-", 
       SuperscriptBox["Lz", "2"], "-", "Q", "+", 
       RowBox[{"Sqrt", "[", 
        RowBox[{
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            SuperscriptBox["a", "2"], "-", 
            SuperscriptBox["Lz", "2"], "-", "Q"}], ")"}], "2"], "+", 
         RowBox[{"4", 
          SuperscriptBox["a", "2"], "Q"}]}], "]"}]}], 
      RowBox[{"2", 
       SuperscriptBox["a", "2"]}]]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ThetaMin", "[", 
      RowBox[{"a_", ",", "Lz_", ",", "Q_"}], "]"}], ":=", 
     RowBox[{"ArcCos", "[", 
      RowBox[{"Sqrt", "[", 
       RowBox[{"CosSquaredThetaTurn", "[", 
        RowBox[{"a", ",", "Lz", ",", "Q"}], "]"}], "]"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ThetaMax", "[", 
      RowBox[{"a_", ",", "Lz_", ",", "Q_"}], "]"}], ":=", 
     RowBox[{"\[Pi]", "-", 
      RowBox[{"ThetaMin", "[", 
       RowBox[{"a", ",", "Lz", ",", "Q"}], "]"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"TrappedThetaMin", "[", 
      RowBox[{"r_", ",", "a_"}], "]"}], ":=", 
     RowBox[{"ThetaMin", "[", 
      RowBox[{"a", ",", 
       RowBox[{"TrappedLz", "[", 
        RowBox[{"r", ",", "a"}], "]"}], ",", 
       RowBox[{"TrappedQ", "[", 
        RowBox[{"r", ",", "a"}], "]"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"TrappedThetaMax", "[", 
      RowBox[{"r_", ",", "a_"}], "]"}], ":=", 
     RowBox[{"ThetaMax", "[", 
      RowBox[{"a", ",", 
       RowBox[{"TrappedLz", "[", 
        RowBox[{"r", ",", "a"}], "]"}], ",", 
       RowBox[{"TrappedQ", "[", 
        RowBox[{"r", ",", "a"}], "]"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"epsilon", "=", "0.001"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
    "ThetaMaxLegend", "=", 
     "\"\<\!\(\*SubscriptBox[\(\[Theta]\), \(max\)]\)(r) for trapped \
geodesics\>\""}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"TrappedThetaMaxPlot", "[", "a_", "]"}], ":=", 
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"TrappedThetaMax", "[", 
         RowBox[{"r", ",", "a"}], "]"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"r", ",", 
         RowBox[{"r1", "[", "a", "]"}], ",", 
         RowBox[{"r2", "[", "a", "]"}]}], "}"}], ",", 
       RowBox[{"PlotLegends", "\[Rule]", 
        RowBox[{"{", "ThetaMaxLegend", "}"}]}], ",", 
       RowBox[{"Ticks", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"r1", "[", "a", "]"}], ",", 
              "\"\<\!\(\*SubscriptBox[\(r\), \(1\)]\)\>\""}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"r2", "[", "a", "]"}], ",", 
              "\"\<\!\(\*SubscriptBox[\(r\), \(2\)]\)\>\""}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"r3", "[", "a", "]"}], ",", 
              "\"\<\!\(\*SubscriptBox[\(r\), \(3\)]\)\>\""}], "}"}]}], "}"}], 
          ",", 
          RowBox[{"{", 
           RowBox[{
            FractionBox["\[Pi]", "2"], ",", 
            FractionBox[
             RowBox[{"3", "\[Pi]"}], "4"], ",", "\[Pi]"}], "}"}]}], "}"}]}], 
       ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", "4.5"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"\[Pi]", "/", "2"}], ",", "\[Pi]"}], "}"}]}], "}"}]}]}], 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"AreaOfTrappingLabel", "=", "\"\<Area of trapping boundary\>\""}],
     ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
    "r3Label", "=", 
     "\"\<Spherical orbit at r=\!\(\*SubscriptBox[\(r\), \(3\)]\)\>\""}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
    "ErgoregionBoundaryLegend", "=", "\"\<Outer boundary of ergoregion\>\""}],
     ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"x", "[", 
      RowBox[{"r_", ",", "\[Theta]_"}], "]"}], ":=", 
     RowBox[{"r", "*", 
      RowBox[{"Sin", "[", "\[Theta]", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"y", "[", 
      RowBox[{"r_", ",", "\[Theta]_"}], "]"}], ":=", 
     RowBox[{"r", "*", 
      RowBox[{"Cos", "[", "\[Theta]", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"AreaOfTrappingPlot", "[", "a_", "]"}], ":=", 
     RowBox[{"ParametricPlot", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"x", "[", 
            RowBox[{"r", ",", 
             RowBox[{"TrappedThetaMin", "[", 
              RowBox[{"r", ",", "a"}], "]"}]}], "]"}], ",", 
           RowBox[{"y", "[", 
            RowBox[{"r", ",", 
             RowBox[{"TrappedThetaMin", "[", 
              RowBox[{"r", ",", "a"}], "]"}]}], "]"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"x", "[", 
            RowBox[{"r", ",", 
             RowBox[{"TrappedThetaMax", "[", 
              RowBox[{"r", ",", "a"}], "]"}]}], "]"}], ",", 
           RowBox[{"y", "[", 
            RowBox[{"r", ",", 
             RowBox[{"TrappedThetaMax", "[", 
              RowBox[{"r", ",", "a"}], "]"}]}], "]"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", 
            RowBox[{"x", "[", 
             RowBox[{"r", ",", 
              RowBox[{"TrappedThetaMin", "[", 
               RowBox[{"r", ",", "a"}], "]"}]}], "]"}]}], ",", 
           RowBox[{"y", "[", 
            RowBox[{"r", ",", 
             RowBox[{"TrappedThetaMin", "[", 
              RowBox[{"r", ",", "a"}], "]"}]}], "]"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", 
            RowBox[{"x", "[", 
             RowBox[{"r", ",", 
              RowBox[{"TrappedThetaMax", "[", 
               RowBox[{"r", ",", "a"}], "]"}]}], "]"}]}], ",", 
           RowBox[{"y", "[", 
            RowBox[{"r", ",", 
             RowBox[{"TrappedThetaMax", "[", 
              RowBox[{"r", ",", "a"}], "]"}]}], "]"}]}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"r", ",", 
         RowBox[{"r1", "[", "a", "]"}], ",", 
         RowBox[{"r2", "[", "a", "]"}]}], "}"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "4"}], ",", "4"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "4"}], ",", "4"}], "}"}]}], "}"}]}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", "Black"}], ",", 
       RowBox[{"PlotLegends", "\[Rule]", 
        RowBox[{"{", "AreaOfTrappingLabel", "}"}]}], ",", 
       RowBox[{"Ticks", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"4", ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"rplus", "[", "a", "]"}], ",", 
              "\"\<\!\(\*SubscriptBox[\(r\), \(+\)]\)\>\""}], "}"}]}], "}"}], 
          ",", 
          RowBox[{"{", 
           RowBox[{"4", ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"rplus", "[", "a", "]"}], ",", 
              "\"\<\!\(\*SubscriptBox[\(r\), \(+\)]\)\>\""}], "}"}]}], 
           "}"}]}], "}"}]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"\[Theta]", "[", "angle_", "]"}], ":=", 
     RowBox[{
      FractionBox["\[Pi]", "2"], "-", "angle"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", "VirtualPotential_begin", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Vminus", "[", 
      RowBox[{"r_", ",", "a_", ",", "Q_"}], "]"}], ":=", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", " ", "a", "*", "r"}], "-", 
        RowBox[{"Sqrt", "[", 
         RowBox[{"r", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"a", "^", "2"}], "+", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "2"}], "+", "r"}], ")"}], " ", "r"}]}], ")"}], 
          " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"1", "+", "Q"}], ")"}], " ", 
             RowBox[{"r", "^", "3"}]}], "+", 
            RowBox[{
             RowBox[{"a", "^", "2"}], " ", "Q", " ", 
             RowBox[{"(", 
              RowBox[{"2", "+", "r"}], ")"}]}]}], ")"}]}], "]"}]}], ")"}], 
      "/", 
      RowBox[{"(", 
       RowBox[{"r", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"r", "^", "3"}], "+", 
          RowBox[{
           RowBox[{"a", "^", "2"}], " ", 
           RowBox[{"(", 
            RowBox[{"2", "+", "r"}], ")"}]}]}], ")"}]}], ")"}]}]}], ";"}], 
   "\n", 
   RowBox[{
    RowBox[{
     RowBox[{"Vplus", "[", 
      RowBox[{"r_", ",", "a_", ",", "Q_"}], "]"}], ":=", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", " ", "a", "*", "r"}], "+", 
        RowBox[{"Sqrt", "[", 
         RowBox[{"r", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"a", "^", "2"}], "+", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "2"}], "+", "r"}], ")"}], " ", "r"}]}], ")"}], 
          " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"1", "+", "Q"}], ")"}], " ", 
             RowBox[{"r", "^", "3"}]}], "+", 
            RowBox[{
             RowBox[{"a", "^", "2"}], " ", "Q", " ", 
             RowBox[{"(", 
              RowBox[{"2", "+", "r"}], ")"}]}]}], ")"}]}], "]"}]}], ")"}], 
      "/", 
      RowBox[{"(", 
       RowBox[{"r", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"r", "^", "3"}], "+", 
          RowBox[{
           RowBox[{"a", "^", "2"}], " ", 
           RowBox[{"(", 
            RowBox[{"2", "+", "r"}], ")"}]}]}], ")"}]}], ")"}]}]}], ";"}], 
   "\n", 
   RowBox[{
    RowBox[{
     RowBox[{"TrappedEnergy", "[", 
      RowBox[{"r_", ",", "a_"}], "]"}], ":=", 
     RowBox[{"-", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"a", " ", 
          RowBox[{"(", 
           RowBox[{"r", "-", "1"}], ")"}]}], ")"}], "/", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"r", "^", "3"}], "-", 
          RowBox[{"3", " ", 
           RowBox[{"r", "^", "2"}]}], "+", 
          RowBox[{
           RowBox[{"a", "^", "2"}], " ", "r"}], "+", 
          RowBox[{"a", "^", "2"}]}], ")"}]}], ")"}]}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{
     RowBox[{"OmegaFunction", "[", 
      RowBox[{"r_", ",", "a_"}], "]"}], ":=", 
     RowBox[{"a", "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"r", "^", "2"}], "+", 
        RowBox[{"a", "^", "2"}]}], ")"}]}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{
     RowBox[{"OmegaHorizon", "[", "a_", "]"}], ":=", 
     RowBox[{"a", "/", 
      RowBox[{"(", 
       RowBox[{"2", " ", 
        RowBox[{"rplus", "[", "a", "]"}]}], ")"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
    "Here", " ", "I", " ", "define", " ", "compactified", " ", "radial", " ", 
     "coordinate"}], "*)"}], "\n", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"u1", "[", 
      RowBox[{"r_", ",", "a_"}], "]"}], ":=", 
     RowBox[{"ArcTan", "[", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"r", "-", 
         RowBox[{"rplus", "[", "a", "]"}]}], ")"}], "/", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"r2", "[", "a", "]"}], "-", 
         RowBox[{"rplus", "[", "a", "]"}]}], ")"}]}], "]"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{
     RowBox[{"ru", "[", 
      RowBox[{"u_", ",", "a_"}], "]"}], ":=", 
     RowBox[{
      RowBox[{"rplus", "[", "a", "]"}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"r2", "[", "a", "]"}], "-", 
         RowBox[{"rplus", "[", "a", "]"}]}], ")"}], " ", 
       RowBox[{"Tan", "[", "u", "]"}]}]}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{
     RowBox[{"uinfinity", "[", "a_", "]"}], ":=", 
     RowBox[{"\[Pi]", "/", "2"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"Some", " ", "settings"}], "*)"}], "\n", 
   RowBox[{
    RowBox[{"epsilon", "=", "0.001"}], ";"}], "\n", 
   RowBox[{
    RowBox[{"yrange", "=", "0.6"}], ";"}], "\n", 
   RowBox[{
    RowBox[{
    "NameOfVMinus", "=", 
     "\"\<\\!\\(\\*SubscriptBox[\\(V\\), \
\\(-\\)]\\)(r,\[GothicCapitalQ])\>\""}], ";"}], "\n", 
   RowBox[{
    RowBox[{
    "NameOfVPlus", "=", 
     "\"\<\\!\\(\\*SubscriptBox[\\(V\\), \
\\(+\\)]\\)(r,\[GothicCapitalQ])\>\""}], ";"}], "\n", 
   RowBox[{
    RowBox[{
    "NameOfTrappedEnergyCurve", "=", 
     "\"\<\\!\\(\\*SubscriptBox[\\(\[ScriptCapitalE]\\), \
\\(trap\\)]\\)(r)\>\""}], ";"}], "\n", 
   RowBox[{
    RowBox[{"NameOfOmegaCurve", "=", "\"\<\[Omega](r)\>\""}], ";"}], "\n", 
   RowBox[{
    RowBox[{"RadialAxisLabel", "=", "\"\<r\>\""}], ";"}], "\n", 
   RowBox[{
    RowBox[{"EnergyAxisLabel", "=", "\"\<\[ScriptCapitalE]\>\""}], ";"}], 
   "\n", 
   RowBox[{"(*", 
    RowBox[{
    "This", " ", "defines", " ", "function", " ", "which", " ", "take", " ", 
     "the", " ", "value", " ", "of", " ", "a", " ", "and", " ", "in", " ", 
     "some", " ", "cases", " ", "Q", " ", "as", " ", "input", " ", "and", " ",
      "generate", " ", "graphical", " ", "objects"}], "*)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"PotentialsPlotCompactified", "[", 
      RowBox[{"a_", ",", "Q_"}], "]"}], ":=", 
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Vplus", "[", 
          RowBox[{
           RowBox[{"ru", "[", 
            RowBox[{"u", ",", "a"}], "]"}], ",", "a", ",", "Q"}], "]"}], ",", 
         RowBox[{"Vminus", "[", 
          RowBox[{
           RowBox[{"ru", "[", 
            RowBox[{"u", ",", "a"}], "]"}], ",", "a", ",", "Q"}], "]"}]}], 
        "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"u", ",", "0", ",", 
         RowBox[{"uinfinity", "[", "a", "]"}]}], "}"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", 
            RowBox[{"uinfinity", "[", "a", "]"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "yrange"}], ",", "yrange"}], "}"}]}], "}"}]}], ",", 
       RowBox[{"PlotLegends", "\[Rule]", 
        RowBox[{"Placed", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"NameOfVPlus", ",", "NameOfVMinus"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"1", ",", ".5"}], "}"}]}], "]"}]}], ",", 
       RowBox[{"AxesLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{"RadialAxisLabel", ",", "Large"}], "]"}], ",", 
          RowBox[{"Style", "[", 
           RowBox[{"EnergyAxisLabel", ",", "Large"}], "]"}]}], "}"}]}], ",", 
       RowBox[{"Ticks", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"u1", "[", 
               RowBox[{
                RowBox[{"r1", "[", "a", "]"}], ",", "a"}], "]"}], ",", 
              "\"\<\\!\\(\\*SubscriptBox[\\(r\\), \\(1\\)]\\)\>\""}], "}"}], 
            ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"u1", "[", 
               RowBox[{
                RowBox[{"r2", "[", "a", "]"}], ",", "a"}], "]"}], ",", 
              "\"\<\\!\\(\\*SubscriptBox[\\(r\\), \\(2\\)]\\)\>\""}], "}"}], 
            ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"u1", "[", 
               RowBox[{
                RowBox[{"r3", "[", "a", "]"}], ",", "a"}], "]"}], ",", 
              "\"\<\\!\\(\\*SubscriptBox[\\(r\\), \\(3\\)]\\)\>\""}], "}"}], 
            ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"\[Pi]", "/", "2"}], ",", "\"\<\[Infinity]\>\""}], 
             "}"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0.6", ",", "0.3", ",", 
            RowBox[{"-", "0.3"}], ",", 
            RowBox[{"-", "0.6"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"OmegaHorizon", "[", "a", "]"}], ",", 
              "\"\<\\!\\(\\*SubscriptBox[\\(\[Omega]\\), \\(H\\)]\\)\>\""}], 
             "}"}]}], "}"}]}], "}"}]}], ",", 
       RowBox[{"Filling", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"1", "\[Rule]", 
          RowBox[{"{", "2", "}"}]}], "}"}]}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", "Thick"}], ",", 
       RowBox[{"ImageSize", "\[Rule]", "Large"}], ",", 
       RowBox[{"TicksStyle", "\[Rule]", "Medium"}]}], "]"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{
     RowBox[{"ErgoregionFillingCompactified", "[", 
      RowBox[{"a_", ",", "Q_"}], "]"}], ":=", 
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"Max", "[", 
        RowBox[{
         RowBox[{"Vminus", "[", 
          RowBox[{
           RowBox[{"ru", "[", 
            RowBox[{"u", ",", "a"}], "]"}], ",", "a", ",", "Q"}], "]"}], ",", 
         "0"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"u", ",", "0", ",", 
         RowBox[{"uinfinity", "[", "a", "]"}]}], "}"}], ",", 
       RowBox[{"Filling", "\[Rule]", "Axis"}], ",", 
       RowBox[{"FillingStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Green", ",", 
          RowBox[{"Opacity", "[", "0.5", "]"}]}], "}"}]}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"Opacity", "[", "0", "]"}]}]}], "]"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{
     RowBox[{"TrappedEnergyPlotCompactified", "[", "a_", "]"}], ":=", 
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"TrappedEnergy", "[", 
        RowBox[{
         RowBox[{"ru", "[", 
          RowBox[{"u", ",", "a"}], "]"}], ",", "a"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"u", ",", 
         RowBox[{"u1", "[", 
          RowBox[{
           RowBox[{"r1", "[", "a", "]"}], ",", "a"}], "]"}], ",", 
         RowBox[{"u1", "[", 
          RowBox[{
           RowBox[{"r2", "[", "a", "]"}], ",", "a"}], "]"}]}], "}"}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", "Black"}], ",", 
       RowBox[{"PlotLegends", "\[Rule]", 
        RowBox[{"Placed", "[", 
         RowBox[{
          RowBox[{"{", "NameOfTrappedEnergyCurve", "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"1", ",", ".5"}], "}"}]}], "]"}]}]}], "]"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{
     RowBox[{"OmegaPlotCompactified", "[", "a_", "]"}], ":=", 
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"OmegaFunction", "[", 
        RowBox[{
         RowBox[{"ru", "[", 
          RowBox[{"u", ",", "a"}], "]"}], ",", "a"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"u", ",", "0", ",", 
         RowBox[{"uinfinity", "[", "a", "]"}]}], "}"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", "Full"}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", "Dashed"}], ",", 
       RowBox[{"PlotLegends", "\[Rule]", 
        RowBox[{"Placed", "[", 
         RowBox[{
          RowBox[{"{", "NameOfOmegaCurve", "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"1", ",", ".5"}], "}"}]}], "]"}]}]}], "]"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{
     RowBox[{"ErgoregionOutermostBoundaryPlotCompactified", "[", "a_", "]"}], 
     ":=", 
     RowBox[{"ParametricPlot", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"u1", "[", 
          RowBox[{"2", ",", "a"}], "]"}], ",", "x"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", 
         RowBox[{
          RowBox[{"-", "2"}], " ", "yrange"}], ",", 
         RowBox[{"2", " ", "yrange"}]}], "}"}]}], "]"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"LzSignText", "=", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Text", "[", 
         RowBox[{"\"\<\\!\\(\\*SubscriptBox[\\(L\\), \\(z\\)]\\)>0\>\"", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"5", " ", "\[Pi]"}], ")"}], "/", "12"}], ",", "0.55"}], 
           "}"}]}], "]"}], ",", 
        RowBox[{"Text", "[", 
         RowBox[{"\"\<\\!\\(\\*SubscriptBox[\\(L\\), \\(z\\)]\\)<0\>\"", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"5", " ", "\[Pi]"}], ")"}], "/", "12"}], ",", 
            RowBox[{"-", "0.55"}]}], "}"}]}], "]"}]}], "}"}], "]"}]}], ";"}], 
   "\n", 
   RowBox[{
    RowBox[{"ForbiddenRegionText", "=", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{"\"\<Forbidden region R(r<0)\>\"", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"\[Pi]", "/", "3"}], ",", "0.1"}], "}"}]}], "]"}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", "VirtualPotential_end", "*)"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"HorizonPlot", "[", "a_", "]"}], ":=", 
     RowBox[{"PolarPlot", "[", 
      RowBox[{
       RowBox[{"rplus", "[", "a", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"angle", ",", "0", ",", 
         RowBox[{"2", "\[Pi]"}]}], "}"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "4"}], ",", "4"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "4"}], ",", "4"}], "}"}]}], "}"}]}]}], "]"}]}], " ", 
    "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"HorizonPlot", "[", "a_", "]"}], ":=", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{"Blue", ",", 
        RowBox[{"Opacity", "[", "0.2", "]"}], ",", 
        RowBox[{"Disk", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", "0"}], "}"}], ",", 
          RowBox[{"rplus", "[", "a", "]"}]}], "]"}]}], "}"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ErgoregionPlot", "[", "a_", "]"}], ":=", 
     RowBox[{"PolarPlot", "[", 
      RowBox[{
       RowBox[{"rergo", "[", 
        RowBox[{
         RowBox[{"\[Theta]", "[", "angle", "]"}], ",", "a"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"angle", ",", "0", ",", 
         RowBox[{"2", "\[Pi]"}]}], "}"}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", "Thick"}], ",", 
       RowBox[{"PlotLegends", "\[Rule]", 
        RowBox[{"{", "ErgoregionBoundaryLegend", "}"}]}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"r3Plot", "[", "a_", "]"}], ":=", 
     RowBox[{"PolarPlot", "[", 
      RowBox[{
       RowBox[{"r3", "[", "a", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"angle", ",", "0", ",", 
         RowBox[{"2", "\[Pi]"}]}], "}"}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", "Dashed"}], ",", 
       RowBox[{"PlotLegends", "\[Rule]", 
        RowBox[{"{", "r3Label", "}"}]}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"r1Plot", "[", "a_", "]"}], ":=", 
     RowBox[{"PolarPlot", "[", 
      RowBox[{
       RowBox[{"r1", "[", "a", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"angle", ",", "0", ",", 
         RowBox[{"2", "\[Pi]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"r2Plot", "[", "a_", "]"}], ":=", 
     RowBox[{"PolarPlot", "[", 
      RowBox[{
       RowBox[{"r2", "[", "a", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"angle", ",", "0", ",", 
         RowBox[{"2", "\[Pi]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "Plot", " ", "the", " ", "trapped", " ", "set", " ", "on", " ", "the", 
     " ", "celestial", " ", "sphere", " ", "at", " ", 
     RowBox[{"(", 
      RowBox[{"r", ",", " ", "v"}], ")"}], " ", "in", " ", "the", " ", "cut", 
     " ", "of", " ", "Kerr"}], " ", "*)"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
     "set", " ", "the", " ", "mass", " ", "of", " ", "the", " ", "black", " ",
       "hole", " ", "m"}], "=", "1"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"m", "=", "1"}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
      RowBox[{"Subscript", "[", 
       RowBox[{"K", ",", "E"}], "]"}], " ", "and", " ", 
      RowBox[{"Overscript", "[", 
       RowBox[{
        RowBox[{"Subscript", "[", 
         RowBox[{"L", ",", "E"}], "]"}], ",", " ", "~"}], "]"}]}], "-", 
     RowBox[{
     "formula", " ", "26", " ", "from", " ", "Grenzebach", " ", "paper"}]}], 
    "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"KE", "[", 
      RowBox[{"r_", ",", "a_"}], "]"}], ":=", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"16", " ", 
        RowBox[{"r", "^", "2"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"r", "^", "2"}], "-", 
          RowBox[{"2", " ", "m", " ", "r"}], "+", 
          RowBox[{"a", "^", "2"}]}], ")"}]}], ")"}], "/", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", "r"}], "-", 
         RowBox[{"2", " ", "m"}]}], ")"}], "^", "2"}]}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{
     RowBox[{"LE", "[", 
      RowBox[{"r_", ",", "a_"}], "]"}], ":=", 
     RowBox[{
      RowBox[{"r", "^", "2"}], "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"4", " ", "r", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"r", "^", "2"}], "-", 
           RowBox[{"2", " ", "m", " ", "r"}], "+", 
           RowBox[{"a", "^", "2"}]}], ")"}]}], ")"}], "/", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", "r"}], "-", 
         RowBox[{"2", " ", "m"}]}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]",
    "\n", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
     "coordinates", " ", "on", " ", "the", " ", "celestial", " ", "sphere"}], 
     "-", 
     RowBox[{"equation", " ", 
      RowBox[{"(", "24", ")"}], " ", "and", " ", 
      RowBox[{"(", "25", ")"}], " ", "from", " ", "Grenzebach", " ", 
      "paper"}]}], "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"SinPsi", "[", 
      RowBox[{"rp_", ",", "r_", ",", "v_", ",", "a_"}], "]"}], ":=", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"LE", "[", 
          RowBox[{"rp", ",", "a"}], "]"}], "/", "a"}], "+", 
        RowBox[{"a", " ", 
         RowBox[{
          RowBox[{"Cos", "[", "v", "]"}], "^", "2"}]}]}], ")"}], "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"Sqrt", "[", 
         RowBox[{"KE", "[", 
          RowBox[{"rp", ",", "a"}], "]"}], "]"}], " ", 
        RowBox[{"Sin", "[", "v", "]"}]}], ")"}]}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{
     RowBox[{"SinTheta", "[", 
      RowBox[{"rp_", ",", "r_", ",", "v_", ",", "a_"}], "]"}], ":=", 
     RowBox[{
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"r", "^", "2"}], "-", 
          RowBox[{"2", " ", "m", " ", "r"}], "+", 
          RowBox[{"a", "^", "2"}]}], ")"}], " ", 
        RowBox[{"KE", "[", 
         RowBox[{"rp", ",", "a"}], "]"}]}], "]"}], "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"r", "^", "2"}], "-", 
        RowBox[{"LE", "[", 
         RowBox[{"rp", ",", "a"}], "]"}]}], ")"}]}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "Sign"}], " ", "of", " ", "the", " ", "derivative", " ", 
      "of", " ", 
      RowBox[{"Cos", "[", "\[Theta]", "]"}]}], "=", 
     RowBox[{
      SqrtBox[
       RowBox[{"1", "-", 
        SuperscriptBox[
         RowBox[{"Sin", "[", "\[Theta]", "]"}], "2"]}]], " ", "-", " ", 
      RowBox[{
      "used", " ", "to", " ", "determine", " ", "the", " ", "sign", " ", "of",
        " ", "the", " ", "z"}], "-", 
      RowBox[{
      "component", " ", "of", " ", "the", " ", "parametric", " ", 
       "plots"}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"SignCosTheta", "[", 
      RowBox[{"rp_", ",", "r_", ",", "v_", ",", "a_"}], "]"}], ":=", 
     RowBox[{"-", 
      RowBox[{"Sign", "[", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"4", " ", 
          RowBox[{"(", 
           RowBox[{
            SuperscriptBox["a", "2"], "+", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "2"}], "+", "r"}], ")"}], " ", "r"}]}], ")"}], 
          " ", "rp", " ", 
          RowBox[{"(", 
           RowBox[{
            SuperscriptBox["r", "2"], "-", 
            SuperscriptBox["rp", "2"]}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{
            SuperscriptBox["a", "2"], "-", 
            RowBox[{"rp", " ", 
             RowBox[{"(", 
              RowBox[{"3", "-", 
               RowBox[{"3", " ", "rp"}], "+", 
               SuperscriptBox["rp", "2"]}], ")"}]}]}], ")"}]}], ")"}], "/", 
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              SuperscriptBox["r", "2"], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "rp"}], ")"}]}], "+", 
             RowBox[{"rp", " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"2", " ", 
                 SuperscriptBox["a", "2"]}], "+", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"-", "3"}], "+", "rp"}], ")"}], " ", "rp"}]}], 
               ")"}]}]}], ")"}], "3"], " ", 
          RowBox[{"\[Sqrt]", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{"r", "-", "rp"}], ")"}], "2"], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  SuperscriptBox["r", "2"], " ", 
                  SuperscriptBox[
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", "rp"}], ")"}], "2"]}], "+", 
                 RowBox[{"2", " ", "r", " ", 
                  SuperscriptBox[
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", "rp"}], ")"}], "2"], " ", "rp"}],
                  "+", 
                 RowBox[{"rp", " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"-", "4"}], " ", 
                    SuperscriptBox["a", "2"]}], "+", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", "rp"}], ")"}], "2"], " ", 
                    "rp"}]}], ")"}]}]}], ")"}]}], ")"}], "/", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{
                 SuperscriptBox["r", "2"], " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"-", "1"}], "+", "rp"}], ")"}]}], "+", 
                RowBox[{"rp", " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"2", " ", 
                    SuperscriptBox["a", "2"]}], "+", 
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "3"}], "+", "rp"}], ")"}], " ", "rp"}]}], 
                  ")"}]}]}], ")"}], "2"]}], ")"}]}]}], ")"}]}], "]"}]}]}], 
    ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"equation", " ", "for", " ", 
      RowBox[{"Subscript", "[", 
       RowBox[{"r", ",", "max"}], "]"}], " ", "and", " ", 
      RowBox[{"Subscript", "[", 
       RowBox[{"r", ",", "min"}], "]"}]}], "-", 
     RowBox[{
     "equation", " ", "27", " ", "from", " ", "Grenzebach", " ", "paper"}]}], 
    "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
      RowBox[{"rmax", "[", 
       RowBox[{"r_", ",", "v_", ",", "a_"}], "]"}], ":=", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"r", "^", "2"}], "+", 
          RowBox[{
           RowBox[{"a", "^", "2"}], " ", 
           RowBox[{
            RowBox[{"Cos", "[", "v", "]"}], "^", "2"}]}]}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"2", " ", "r"}], "-", 
          RowBox[{"2", " ", "m"}]}], ")"}]}], "-", 
       RowBox[{"4", " ", "r", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"r", "^", "2"}], "-", 
          RowBox[{"2", " ", "m", " ", "r"}], "+", 
          RowBox[{"a", "^", "2"}]}], ")"}]}], "+", 
       RowBox[{"4", " ", "a", " ", "r", " ", 
        RowBox[{"Sqrt", "[", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"r", "^", "2"}], "-", 
           RowBox[{"2", " ", "m", " ", "r"}], "+", 
           RowBox[{"a", "^", "2"}]}], ")"}], "]"}], " ", 
        RowBox[{"Sin", "[", "v", "]"}]}]}]}], ";", "\n", 
     RowBox[{
      RowBox[{"rmin", "[", 
       RowBox[{"r_", ",", "v_", ",", "a_"}], "]"}], ":=", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"r", "^", "2"}], "+", 
          RowBox[{
           RowBox[{"a", "^", "2"}], " ", 
           RowBox[{
            RowBox[{"Cos", "[", "v", "]"}], "^", "2"}]}]}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"2", " ", "r"}], "-", 
          RowBox[{"2", " ", "m"}]}], ")"}]}], "-", 
       RowBox[{"4", " ", "r", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"r", "^", "2"}], "-", 
          RowBox[{"2", " ", "m", " ", "r"}], "+", 
          RowBox[{"a", "^", "2"}]}], ")"}]}], "-", 
       RowBox[{"4", " ", "a", " ", "r", " ", 
        RowBox[{"Sqrt", "[", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"r", "^", "2"}], "-", 
           RowBox[{"2", " ", "m", " ", "r"}], "+", 
           RowBox[{"a", "^", "2"}]}], ")"}], "]"}], " ", 
        RowBox[{"Sin", "[", "v", "]"}]}]}]}], ";"}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
     "calculated", " ", "range", " ", "for", " ", "parametric", " ", "plot"}],
      "-", 
     RowBox[{"not", " ", "working", " ", "ok"}], " ", "-", " ", 
     RowBox[{
     "curve", " ", "remains", " ", "open", " ", "in", " ", "some", " ", 
      "cases"}]}], " ", "*)"}], "\n", 
   RowBox[{"(*", 
    RowBox[{"{", 
     RowBox[{"rp", ",", 
      RowBox[{
       RowBox[{"0.7", "*", "rm"}], "/.", 
       RowBox[{
        RowBox[{"NSolve", "[", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"rmin", "[", 
             RowBox[{"rm", ",", "a", ",", "0.3"}], "]"}], "\[Equal]", "0"}], "&&", 
           RowBox[{"rm", ">", "0"}]}], ",", "rm", ",", "Reals"}], "]"}], "[", 
        RowBox[{"[", "1", "]"}], "]"}]}], ",", 
      RowBox[{
       RowBox[{"1.0", "*", "rM"}], "/.", 
       RowBox[{
        RowBox[{"NSolve", "[", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"rmax", "[", 
             RowBox[{"rM", ",", "v", ",", "a"}], "]"}], "\[Equal]", "0"}], "&&", 
           RowBox[{"rM", ">", "0"}]}], ",", "rM", ",", "Reals"}], "]"}], "[", 
        RowBox[{"[", "1", "]"}], "]"}]}]}], "}"}], "*)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"empty", " ", "celestial", " ", "sphere"}], "*)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"sphere", "=", 
     RowBox[{"Graphics3D", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Opacity", "[", "0.6", "]"}], ",", 
        RowBox[{"Sphere", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", "0.999"}], "]"}]}], 
       "}"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"point", "[", 
      RowBox[{"r_", ",", "v_"}], "]"}], ":=", 
     RowBox[{"Graphics", "[", 
      RowBox[{
       RowBox[{"Locator", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"r", " ", 
           RowBox[{"Cos", "[", 
            RowBox[{
             RowBox[{"\[Pi]", "/", "2"}], "-", "v"}], "]"}]}], ",", 
          RowBox[{"r", " ", 
           RowBox[{"Sin", "[", 
            RowBox[{
             RowBox[{"\[Pi]", "/", "2"}], "-", "v"}], "]"}]}]}], "}"}], "]"}],
        ",", 
       RowBox[{"PlotRange", "\[Rule]", "10"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\n", 
   RowBox[{"(*", 
    RowBox[{"Plot", " ", "of", " ", 
     RowBox[{"Subscript", "[", 
      RowBox[{"T", ",", "+"}], "]"}]}], "*)"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"curveTplus1", "[", 
      RowBox[{"r_", ",", "v_", ",", "a_"}], "]"}], ":=", 
     RowBox[{"ParametricPlot3D", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"SinTheta", "[", 
           RowBox[{"rp", ",", "r", ",", "v", ",", "a"}], "]"}], " ", 
          RowBox[{"Sqrt", "[", 
           RowBox[{"1", "-", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"SinPsi", "[", 
               RowBox[{"rp", ",", "r", ",", "v", ",", "a"}], "]"}], ")"}], 
             "^", "2"}]}], "]"}]}], ",", 
         RowBox[{
          RowBox[{"SinTheta", "[", 
           RowBox[{"rp", ",", "r", ",", "v", ",", "a"}], "]"}], " ", 
          RowBox[{"SinPsi", "[", 
           RowBox[{"rp", ",", "r", ",", "v", ",", "a"}], "]"}]}], ",", 
         RowBox[{
          RowBox[{"SignCosTheta", "[", 
           RowBox[{"rp", ",", "r", ",", "v", ",", "a"}], "]"}], "*", 
          RowBox[{"Sqrt", "[", 
           RowBox[{"1", "-", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"SinTheta", "[", 
               RowBox[{"rp", ",", "r", ",", "v", ",", "a"}], "]"}], ")"}], 
             "^", "2"}]}], "]"}]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"rp", ",", "1", ",", "4"}], "}"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1.5"}], ",", "1.5"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1.5"}], ",", "1.5"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1.5"}], ",", "1.5"}], "}"}]}], "}"}]}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Red", ",", 
          RowBox[{"Thickness", "[", "0.004", "]"}]}], "}"}]}], ",", 
       RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
       RowBox[{"Axes", "\[Rule]", "False"}], ",", 
       RowBox[{"PlotPoints", "\[Rule]", "500"}], ",", 
       RowBox[{"PlotLegends", "\[Rule]", 
        RowBox[{"{", "\"\<\!\(\*SubscriptBox[\(T\), \(+\)]\)\>\"", "}"}]}], 
       ",", 
       RowBox[{"Axes", "\[Rule]", "True"}]}], "]"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{
     RowBox[{"curveTplus2", "[", 
      RowBox[{"r_", ",", "v_", ",", "a_"}], "]"}], ":=", 
     RowBox[{"ParametricPlot3D", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"-", 
           RowBox[{"SinTheta", "[", 
            RowBox[{"rp", ",", "r", ",", "v", ",", "a"}], "]"}]}], " ", 
          RowBox[{"Sqrt", "[", 
           RowBox[{"1", "-", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"SinPsi", "[", 
               RowBox[{"rp", ",", "r", ",", "v", ",", "a"}], "]"}], ")"}], 
             "^", "2"}]}], "]"}]}], ",", 
         RowBox[{
          RowBox[{"SinTheta", "[", 
           RowBox[{"rp", ",", "r", ",", "v", ",", "a"}], "]"}], " ", 
          RowBox[{"SinPsi", "[", 
           RowBox[{"rp", ",", "r", ",", "v", ",", "a"}], "]"}]}], ",", 
         RowBox[{
          RowBox[{"SignCosTheta", "[", 
           RowBox[{"rp", ",", "r", ",", "v", ",", "a"}], "]"}], "*", 
          RowBox[{"Sqrt", "[", 
           RowBox[{"1", "-", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"SinTheta", "[", 
               RowBox[{"rp", ",", "r", ",", "v", ",", "a"}], "]"}], ")"}], 
             "^", "2"}]}], "]"}]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"rp", ",", "1", ",", "4"}], "}"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1.5"}], ",", "1.5"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1.5"}], ",", "1.5"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1.5"}], ",", "1.5"}], "}"}]}], "}"}]}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Red", ",", 
          RowBox[{"Thickness", "[", "0.004", "]"}]}], "}"}]}], ",", 
       RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
       RowBox[{"Axes", "\[Rule]", "False"}], ",", 
       RowBox[{"PlotPoints", "\[Rule]", "500"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"Plot", " ", "of", " ", 
     RowBox[{"Subscript", "[", 
      RowBox[{"T", ",", "-"}], "]"}]}], "*)"}], "\[IndentingNewLine]", "\n", 
   RowBox[{
    RowBox[{
     RowBox[{"curveTminus1", "[", 
      RowBox[{"r_", ",", "v_", ",", "a_"}], "]"}], ":=", 
     RowBox[{"ParametricPlot3D", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"SinTheta", "[", 
           RowBox[{"rp", ",", "r", ",", "v", ",", "a"}], "]"}], " ", 
          RowBox[{"Sqrt", "[", 
           RowBox[{"1", "-", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"SinPsi", "[", 
               RowBox[{"rp", ",", "r", ",", "v", ",", "a"}], "]"}], ")"}], 
             "^", "2"}]}], "]"}]}], ",", 
         RowBox[{
          RowBox[{"SinTheta", "[", 
           RowBox[{"rp", ",", "r", ",", "v", ",", "a"}], "]"}], " ", 
          RowBox[{"SinPsi", "[", 
           RowBox[{"rp", ",", "r", ",", "v", ",", "a"}], "]"}]}], ",", 
         RowBox[{
          RowBox[{"-", 
           RowBox[{"SignCosTheta", "[", 
            RowBox[{"rp", ",", "r", ",", "v", ",", "a"}], "]"}]}], "*", 
          RowBox[{"Sqrt", "[", 
           RowBox[{"1", "-", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"SinTheta", "[", 
               RowBox[{"rp", ",", "r", ",", "v", ",", "a"}], "]"}], ")"}], 
             "^", "2"}]}], "]"}]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"rp", ",", "1", ",", "4"}], "}"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1.5"}], ",", "1.5"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1.5"}], ",", "1.5"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1.5"}], ",", "1.5"}], "}"}]}], "}"}]}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Green", ",", 
          RowBox[{"Thickness", "[", "0.004", "]"}]}], "}"}]}], ",", 
       RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
       RowBox[{"Axes", "\[Rule]", "False"}], ",", 
       RowBox[{"PlotPoints", "\[Rule]", "500"}], ",", 
       RowBox[{"PlotLegends", "\[Rule]", 
        RowBox[{"{", "\"\<\!\(\*SubscriptBox[\(T\), \(-\)]\)\>\"", "}"}]}]}], 
      "]"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{
     RowBox[{"curveTminus2", "[", 
      RowBox[{"r_", ",", "v_", ",", "a_"}], "]"}], ":=", 
     RowBox[{"ParametricPlot3D", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"-", 
           RowBox[{"SinTheta", "[", 
            RowBox[{"rp", ",", "r", ",", "v", ",", "a"}], "]"}]}], " ", 
          RowBox[{"Sqrt", "[", 
           RowBox[{"1", "-", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"SinPsi", "[", 
               RowBox[{"rp", ",", "r", ",", "v", ",", "a"}], "]"}], ")"}], 
             "^", "2"}]}], "]"}]}], ",", 
         RowBox[{
          RowBox[{"SinTheta", "[", 
           RowBox[{"rp", ",", "r", ",", "v", ",", "a"}], "]"}], " ", 
          RowBox[{"SinPsi", "[", 
           RowBox[{"rp", ",", "r", ",", "v", ",", "a"}], "]"}]}], ",", 
         RowBox[{
          RowBox[{"-", 
           RowBox[{"SignCosTheta", "[", 
            RowBox[{"rp", ",", "r", ",", "v", ",", "a"}], "]"}]}], "*", 
          RowBox[{"Sqrt", "[", 
           RowBox[{"1", "-", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"SinTheta", "[", 
               RowBox[{"rp", ",", "r", ",", "v", ",", "a"}], "]"}], ")"}], 
             "^", "2"}]}], "]"}]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"rp", ",", "1", ",", "4"}], "}"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1.5"}], ",", "1.5"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1.5"}], ",", "1.5"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1.5"}], ",", "1.5"}], "}"}]}], "}"}]}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Green", ",", 
          RowBox[{"Thickness", "[", "0.004", "]"}]}], "}"}]}], ",", 
       RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
       RowBox[{"Axes", "\[Rule]", "False"}], ",", 
       RowBox[{"PlotPoints", "\[Rule]", "500"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"Schwarzchild", " ", "case"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"curveTplus", "[", "r_", "]"}], ":=", 
     RowBox[{"ParametricPlot3D", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          SqrtBox[
           RowBox[{
            FractionBox["27", "4"], 
            FractionBox[
             RowBox[{
              FractionBox["r", "2"], "-", "1"}], 
             SuperscriptBox[
              RowBox[{"(", 
               FractionBox["r", "2"], ")"}], "3"]]}]], 
          RowBox[{"Cos", "[", "t", "]"}]}], ",", 
         RowBox[{
          SqrtBox[
           RowBox[{
            FractionBox["27", "4"], 
            FractionBox[
             RowBox[{
              FractionBox["r", "2"], "-", "1"}], 
             SuperscriptBox[
              RowBox[{"(", 
               FractionBox["r", "2"], ")"}], "3"]]}]], 
          RowBox[{"Sin", "[", "t", "]"}]}], ",", 
         RowBox[{
          RowBox[{"Sign", "[", 
           FractionBox[
            RowBox[{"27", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "3"}], "+", "r"}], ")"}]}], 
            RowBox[{
             SuperscriptBox["r", "4"], " ", 
             SqrtBox[
              FractionBox[
               RowBox[{
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"-", "3"}], "+", "r"}], ")"}], "2"], " ", 
                RowBox[{"(", 
                 RowBox[{"6", "+", "r"}], ")"}]}], 
               SuperscriptBox["r", "3"]]]}]], "]"}], 
          SqrtBox[
           RowBox[{"1", "-", 
            RowBox[{
             FractionBox["27", "4"], 
             FractionBox[
              RowBox[{
               FractionBox["r", "2"], "-", "1"}], 
              SuperscriptBox[
               RowBox[{"(", 
                FractionBox["r", "2"], ")"}], "3"]]}]}]]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", "0", ",", 
         RowBox[{"2", "\[Pi]"}]}], "}"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1.5"}], ",", "1.5"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1.5"}], ",", "1.5"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1.5"}], ",", "1.5"}], "}"}]}], "}"}]}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Red", ",", 
          RowBox[{"Thickness", "[", "0.004", "]"}]}], "}"}]}], ",", 
       RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
       RowBox[{"Axes", "\[Rule]", "False"}], ",", 
       RowBox[{"PlotPoints", "\[Rule]", "500"}], ",", 
       RowBox[{"PlotLegends", "\[Rule]", 
        RowBox[{"{", "\"\<\!\(\*SubscriptBox[\(T\), \(+\)]\)\>\"", "}"}]}]}], 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"curveTminus", "[", "r_", "]"}], ":=", 
     RowBox[{"ParametricPlot3D", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          SqrtBox[
           RowBox[{
            FractionBox["27", "4"], 
            FractionBox[
             RowBox[{
              FractionBox["r", "2"], "-", "1"}], 
             SuperscriptBox[
              RowBox[{"(", 
               FractionBox["r", "2"], ")"}], "3"]]}]], 
          RowBox[{"Cos", "[", "t", "]"}]}], ",", 
         RowBox[{
          SqrtBox[
           RowBox[{
            FractionBox["27", "4"], 
            FractionBox[
             RowBox[{
              FractionBox["r", "2"], "-", "1"}], 
             SuperscriptBox[
              RowBox[{"(", 
               FractionBox["r", "2"], ")"}], "3"]]}]], 
          RowBox[{"Sin", "[", "t", "]"}]}], ",", 
         RowBox[{
          RowBox[{"-", 
           RowBox[{"Sign", "[", 
            FractionBox[
             RowBox[{"27", " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "3"}], "+", "r"}], ")"}]}], 
             RowBox[{
              SuperscriptBox["r", "4"], " ", 
              SqrtBox[
               FractionBox[
                RowBox[{
                 SuperscriptBox[
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"-", "3"}], "+", "r"}], ")"}], "2"], " ", 
                 RowBox[{"(", 
                  RowBox[{"6", "+", "r"}], ")"}]}], 
                SuperscriptBox["r", "3"]]]}]], "]"}]}], 
          SqrtBox[
           RowBox[{"1", "-", 
            RowBox[{
             FractionBox["27", "4"], 
             FractionBox[
              RowBox[{
               FractionBox["r", "2"], "-", "1"}], 
              SuperscriptBox[
               RowBox[{"(", 
                FractionBox["r", "2"], ")"}], "3"]]}]}]]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", "0", ",", 
         RowBox[{"2", "\[Pi]"}]}], "}"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1.5"}], ",", "1.5"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1.5"}], ",", "1.5"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1.5"}], ",", "1.5"}], "}"}]}], "}"}]}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Green", ",", 
          RowBox[{"Thickness", "[", "0.004", "]"}]}], "}"}]}], ",", 
       RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
       RowBox[{"Axes", "\[Rule]", "False"}], ",", 
       RowBox[{"PlotPoints", "\[Rule]", "500"}], ",", 
       RowBox[{"PlotLegends", "\[Rule]", 
        RowBox[{"{", "\"\<\!\(\*SubscriptBox[\(T\), \(-\)]\)\>\"", "}"}]}]}], 
      "]"}]}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"\[Theta]", " ", "=", " ", "0"}], ",", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"\[Pi]", " ", "Case"}], " ", "-", " ", 
       RowBox[{"parametrization", " ", "problem"}], " ", "-", " ", 
       RowBox[{
       "Also", " ", "equivalent", " ", "to", " ", "the", " ", "Schwarzchild", 
        " ", "case", " ", "for", " ", "a"}]}], " ", "=", " ", "0"}]}], " ", 
    "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"curveTplus0", "[", 
      RowBox[{"r_", ",", "a_"}], "]"}], ":=", 
     RowBox[{"ParametricPlot3D", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"SinTheta", "[", 
           RowBox[{
            RowBox[{"r3", "[", "a", "]"}], ",", "r", ",", "0", ",", "a"}], 
           "]"}], 
          RowBox[{"Cos", "[", "t", "]"}]}], ",", 
         RowBox[{
          RowBox[{"SinTheta", "[", 
           RowBox[{
            RowBox[{"r3", "[", "a", "]"}], ",", "r", ",", "0", ",", "a"}], 
           "]"}], 
          RowBox[{"Sin", "[", "t", "]"}]}], ",", 
         RowBox[{
          RowBox[{"SignCosTheta", "[", 
           RowBox[{
            RowBox[{"r3", "[", "a", "]"}], ",", "r", ",", "0", ",", "a"}], 
           "]"}], 
          SqrtBox[
           RowBox[{"1", "-", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{"SinTheta", "[", 
               RowBox[{
                RowBox[{"r3", "[", "a", "]"}], ",", "r", ",", "0", ",", "a"}],
                "]"}], ")"}], "2"]}]]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", "0", ",", 
         RowBox[{"2", "\[Pi]"}]}], "}"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1.5"}], ",", "1.5"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1.5"}], ",", "1.5"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1.5"}], ",", "1.5"}], "}"}]}], "}"}]}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Red", ",", 
          RowBox[{"Thickness", "[", "0.004", "]"}]}], "}"}]}], ",", 
       RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
       RowBox[{"Axes", "\[Rule]", "False"}], ",", 
       RowBox[{"PlotPoints", "\[Rule]", "500"}], ",", 
       RowBox[{"PlotLegends", "\[Rule]", 
        RowBox[{"{", "\"\<\!\(\*SubscriptBox[\(T\), \(+\)]\)\>\"", "}"}]}]}], 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"curveTminus0", "[", 
      RowBox[{"r_", ",", "a_"}], "]"}], ":=", 
     RowBox[{"ParametricPlot3D", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"SinTheta", "[", 
           RowBox[{
            RowBox[{"r3", "[", "a", "]"}], ",", "r", ",", "0", ",", "a"}], 
           "]"}], 
          RowBox[{"Cos", "[", "t", "]"}]}], ",", 
         RowBox[{
          RowBox[{"SinTheta", "[", 
           RowBox[{
            RowBox[{"r3", "[", "a", "]"}], ",", "r", ",", "0", ",", "a"}], 
           "]"}], 
          RowBox[{"Sin", "[", "t", "]"}]}], ",", 
         RowBox[{
          RowBox[{"-", 
           RowBox[{"SignCosTheta", "[", 
            RowBox[{
             RowBox[{"r3", "[", "a", "]"}], ",", "r", ",", "0", ",", "a"}], 
            "]"}]}], 
          SqrtBox[
           RowBox[{"1", "-", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{"SinTheta", "[", 
               RowBox[{
                RowBox[{"r3", "[", "a", "]"}], ",", "r", ",", "0", ",", "a"}],
                "]"}], ")"}], "2"]}]]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", "0", ",", 
         RowBox[{"2", "\[Pi]"}]}], "}"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1.5"}], ",", "1.5"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1.5"}], ",", "1.5"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1.5"}], ",", "1.5"}], "}"}]}], "}"}]}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Green", ",", 
          RowBox[{"Thickness", "[", "0.004", "]"}]}], "}"}]}], ",", 
       RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
       RowBox[{"Axes", "\[Rule]", "False"}], ",", 
       RowBox[{"PlotPoints", "\[Rule]", "500"}], ",", 
       RowBox[{"PlotLegends", "\[Rule]", 
        RowBox[{"{", "\"\<\!\(\*SubscriptBox[\(T\), \(-\)]\)\>\"", "}"}]}]}], 
      "]"}]}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"Arrows", " ", "and", " ", "ecuator", " ", "plots"}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"arrowup", "=", 
     RowBox[{"Graphics3D", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"Red", ",", 
         RowBox[{"Text", "[", 
          RowBox[{"\"\<\!\(\*SubscriptBox[\(r\), \(in\)]\)\>\"", ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "0", ",", "1.6"}], "}"}]}], "]"}], ",", 
         RowBox[{"Arrow", "[", 
          RowBox[{"Tube", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", "0", ",", "1"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"0", ",", "0", ",", "1.5"}], "}"}]}], "}"}], "]"}], 
          "]"}]}], "}"}], ",", 
       RowBox[{"Axes", "\[Rule]", "True"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1.5"}], ",", "1.5"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1.5"}], ",", "1.5"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1.5"}], ",", "1.5"}], "}"}]}], "}"}]}], ","}], 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"arrowdown", "=", 
     RowBox[{"Graphics3D", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"Green", ",", 
         RowBox[{"Text", "[", 
          RowBox[{"\"\<\!\(\*SubscriptBox[\(r\), \(out\)]\)\>\"", ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "0", ",", 
             RowBox[{"-", "1.6"}]}], "}"}]}], "]"}], ",", 
         RowBox[{"Arrow", "[", 
          RowBox[{"Tube", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", "0", ",", 
               RowBox[{"-", "1"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"0", ",", "0", ",", 
               RowBox[{"-", "1.5"}]}], "}"}]}], "}"}], "]"}], "]"}]}], "}"}], 
       ",", 
       RowBox[{"Axes", "\[Rule]", "True"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1.5"}], ",", "1.5"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1.5"}], ",", "1.5"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1.5"}], ",", "1.5"}], "}"}]}], "}"}]}]}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"circle", "=", 
     RowBox[{"ParametricPlot3D", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Cos", "[", "t", "]"}], ",", 
         RowBox[{"Sin", "[", "t", "]"}], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", "0", ",", 
         RowBox[{"2", "\[Pi]"}]}], "}"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "}"}]}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Black", ",", 
          RowBox[{"Dashing", "[", "0.01", "]"}]}], "}"}]}], ",", 
       RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
       RowBox[{"Axes", "\[Rule]", "False"}], ",", 
       RowBox[{"PlotPoints", "\[Rule]", "5000"}], ",", 
       RowBox[{"PlotLegends", "\[Rule]", 
        RowBox[{
        "{", "\"\<\!\(\*OverscriptBox[\(r\), \(.\)]\) = 0\>\"", "}"}]}]}], 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"circle1", "=", 
     RowBox[{"ParametricPlot3D", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"Sin", "[", "t", "]"}], ",", 
         RowBox[{"Cos", "[", "t", "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", "0", ",", 
         RowBox[{"2", "\[Pi]"}]}], "}"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "}"}]}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Black", ",", "Dotted"}], "}"}]}], ",", 
       RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
       RowBox[{"Axes", "\[Rule]", "False"}], ",", 
       RowBox[{"PlotPoints", "\[Rule]", "5000"}], ",", 
       RowBox[{"PlotLegends", "\[Rule]", 
        RowBox[{
        "{", "\"\<\!\(\*OverscriptBox[\(\[Theta]\), \(.\)]\) = 0\>\"", 
         "}"}]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "This", " ", "is", " ", "plot", " ", "of", " ", "mapping", " ", "which", 
     " ", "takes", " ", "radius", " ", "to", " ", "theta", " ", "max", " ", 
     "of", " ", "geodesic", " ", "with", " ", "this", " ", "radius", " ", 
     "of", " ", 
     RowBox[{"trapping", "."}]}], " ", "*)"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"Manipulate", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Show", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"AreaOfTrappingPlot", "[", 
            RowBox[{"a", "+", "0.001"}], "]"}], ",", 
           RowBox[{"r3Plot", "[", 
            RowBox[{"a", "+", "0.001"}], "]"}], ",", 
           RowBox[{"HorizonPlot", "[", 
            RowBox[{"a", "+", "0.001"}], "]"}], ",", 
           RowBox[{"ErgoregionPlot", "[", 
            RowBox[{"a", "+", "0.001"}], "]"}], ",", 
           RowBox[{"point", "[", 
            RowBox[{"r", ",", "\[Theta]"}], "]"}]}], "}"}], ",", 
         RowBox[{"Axes", "\[Rule]", "True"}], ",", 
         RowBox[{"PlotRange", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "6"}], ",", "6"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "6"}], ",", "6"}], "}"}]}], "}"}]}]}], "]"}], ",", 
       RowBox[{"Show", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"PotentialsPlotCompactified", "[", 
           RowBox[{
            RowBox[{"a", "+", "0.001"}], ",", "Q"}], "]"}], ",", 
          RowBox[{"TrappedEnergyPlotCompactified", "[", 
           RowBox[{"a", "+", "0.001"}], "]"}], ",", 
          RowBox[{"OmegaPlotCompactified", "[", 
           RowBox[{"a", "+", "0.001"}], "]"}], ",", 
          RowBox[{"ErgoregionFillingCompactified", "[", 
           RowBox[{
            RowBox[{"a", "+", "0.001"}], ",", "Q"}], "]"}], ",", 
          "LzSignText"}], "}"}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"a", "<", "0.05"}], ",", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"r", "\[Equal]", "3"}], ",", 
           RowBox[{"Show", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"curveTplus0", "[", 
               RowBox[{"r", ",", "0.00001"}], "]"}], ",", 
              RowBox[{"curveTminus0", "[", 
               RowBox[{"r", ",", "0.00001"}], "]"}], ",", "arrowup", ",", 
              "arrowdown", ",", "sphere", ",", "circle", ",", "circle1"}], 
             "}"}], "]"}], ",", 
           RowBox[{"Show", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"curveTplus0", "[", 
               RowBox[{"r", ",", "0"}], "]"}], ",", 
              RowBox[{"curveTminus0", "[", 
               RowBox[{"r", ",", "0"}], "]"}], ",", "arrowup", ",", 
              "arrowdown", ",", "sphere", ",", "circle", ",", "circle1"}], 
             "}"}], "]"}]}], "]"}], ",", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"\[Theta]", "\[Equal]", "0"}], "||", 
            RowBox[{"\[Theta]", "\[Equal]", "\[Pi]"}]}], ",", 
           RowBox[{"Show", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"curveTplus0", "[", 
               RowBox[{"r", ",", "a"}], "]"}], ",", 
              RowBox[{"curveTminus0", "[", 
               RowBox[{"r", ",", "a"}], "]"}], ",", "arrowup", ",", 
              "arrowdown", ",", "sphere", ",", "circle", ",", "circle1"}], 
             "}"}], "]"}], ",", 
           RowBox[{"Show", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"curveTplus1", "[", 
               RowBox[{"r", ",", "\[Theta]", ",", "a"}], "]"}], ",", 
              RowBox[{"curveTplus2", "[", 
               RowBox[{"r", ",", "\[Theta]", ",", "a"}], "]"}], ",", 
              RowBox[{"curveTminus1", "[", 
               RowBox[{"r", ",", "\[Theta]", ",", "a"}], "]"}], ",", 
              RowBox[{"curveTminus2", "[", 
               RowBox[{"r", ",", "\[Theta]", ",", "a"}], "]"}], ",", 
              "arrowup", ",", "arrowdown", ",", "sphere", ",", "circle", ",", 
              "circle1"}], "}"}], "]"}]}], "]"}]}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"a", ",", "0.5"}], "}"}], ",", "0", ",", 
       RowBox[{"1", "-", "0.001"}], ",", "0.05"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"r", ",", "5"}], "}"}], ",", 
       RowBox[{"1", "+", 
        SqrtBox[
         RowBox[{"1", "-", 
          SuperscriptBox["a", "2"]}]], "+", "0.001"}], ",", "6"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\[Theta]", ",", 
         FractionBox["\[Pi]", "2"]}], "}"}], ",", "0", ",", "\[Pi]", ",", 
       FractionBox["\[Pi]", "60"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"Q", ",", "1"}], "}"}], ",", "0", ",", "5"}], "}"}]}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"AutoCollapse", "[", "]"}], ";"}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.684069688837555*^9, 3.6840698729402637`*^9}, {
   3.684069903560341*^9, 3.6840699040515623`*^9}, 3.6840699829749107`*^9, 
   3.6840700732372975`*^9, {3.6840701098276076`*^9, 3.684070170786561*^9}, {
   3.6840706577367306`*^9, 3.684070703040862*^9}, {3.6840707478859615`*^9, 
   3.684070912357707*^9}, {3.684070992133479*^9, 3.684070993489396*^9}, {
   3.684071031095784*^9, 3.684071034117749*^9}, {3.684071271497916*^9, 
   3.6840713083871136`*^9}, {3.684072195674398*^9, 3.6840722556277666`*^9}, {
   3.684072333998415*^9, 3.6840723357437143`*^9}, {3.6840724794119415`*^9, 
   3.6840725440682487`*^9}, {3.6840726336400433`*^9, 
   3.6840726366685743`*^9}, {3.6840726677275953`*^9, 
   3.6840727476360283`*^9}, {3.6840728588885884`*^9, 
   3.6840728933473897`*^9}, {3.6840729964858932`*^9, 
   3.6840730006474314`*^9}, {3.684073080219435*^9, 3.6840731172465754`*^9}, {
   3.6840731837971582`*^9, 3.684073204740405*^9}, {3.6840732358300056`*^9, 
   3.684073269025033*^9}, {3.684073350089398*^9, 3.684073350470908*^9}, {
   3.684073502820932*^9, 3.6840735226026883`*^9}, {3.684073689973089*^9, 
   3.684073696071658*^9}, {3.684073754610094*^9, 3.684073785479333*^9}, {
   3.6840738170654745`*^9, 3.684073818233183*^9}, {3.6840856599574237`*^9, 
   3.684085718698306*^9}, 3.6840857585456667`*^9, 3.684085841041855*^9, {
   3.684087355266369*^9, 3.6840873705164747`*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = 0.6000000000000001, $CellContext`Q$$ =
     1, $CellContext`r$$ = 5, $CellContext`\[Theta]$$ = Rational[1, 2] Pi, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`a$$], 0.5}, 0, 0.999, 0.05}, {{
       Hold[$CellContext`r$$], 5}, 
      Dynamic[1 + Sqrt[1 - $CellContext`a$$^2] + 0.001], 6}, {{
       Hold[$CellContext`\[Theta]$$], Rational[1, 2] Pi}, 0, Pi, 
      Rational[1, 60] Pi}, {{
       Hold[$CellContext`Q$$], 1}, 0, 5}}, Typeset`size$$ = {
    1295., {151., 157.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`a$13595$$ = 
    0, $CellContext`r$13596$$ = 0, $CellContext`\[Theta]$13597$$ = 
    0, $CellContext`Q$13598$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = 0.5, $CellContext`Q$$ = 
        1, $CellContext`r$$ = 5, $CellContext`\[Theta]$$ = Rational[1, 2] Pi},
       "ControllerVariables" :> {
        Hold[$CellContext`a$$, $CellContext`a$13595$$, 0], 
        Hold[$CellContext`r$$, $CellContext`r$13596$$, 0], 
        Hold[$CellContext`\[Theta]$$, $CellContext`\[Theta]$13597$$, 0], 
        Hold[$CellContext`Q$$, $CellContext`Q$13598$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> {
        Show[{
          $CellContext`AreaOfTrappingPlot[$CellContext`a$$ + 0.001], 
          $CellContext`r3Plot[$CellContext`a$$ + 0.001], 
          $CellContext`HorizonPlot[$CellContext`a$$ + 0.001], 
          $CellContext`ErgoregionPlot[$CellContext`a$$ + 0.001], 
          $CellContext`point[$CellContext`r$$, $CellContext`\[Theta]$$]}, 
         Axes -> True, PlotRange -> {{-6, 6}, {-6, 6}}], 
        Show[{
          $CellContext`PotentialsPlotCompactified[$CellContext`a$$ + 
           0.001, $CellContext`Q$$], 
          $CellContext`TrappedEnergyPlotCompactified[$CellContext`a$$ + 
           0.001], 
          $CellContext`OmegaPlotCompactified[$CellContext`a$$ + 0.001], 
          $CellContext`ErgoregionFillingCompactified[$CellContext`a$$ + 
           0.001, $CellContext`Q$$], $CellContext`LzSignText}], 
        If[$CellContext`a$$ < 0.05, 
         If[$CellContext`r$$ == 3, 
          Show[{
            $CellContext`curveTplus0[$CellContext`r$$, 0.00001], 
            $CellContext`curveTminus0[$CellContext`r$$, 
             0.00001], $CellContext`arrowup, $CellContext`arrowdown, \
$CellContext`sphere, $CellContext`circle, $CellContext`circle1}], 
          Show[{
            $CellContext`curveTplus0[$CellContext`r$$, 0], 
            $CellContext`curveTminus0[$CellContext`r$$, 
             0], $CellContext`arrowup, $CellContext`arrowdown, \
$CellContext`sphere, $CellContext`circle, $CellContext`circle1}]], 
         If[
          Or[$CellContext`\[Theta]$$ == 0, $CellContext`\[Theta]$$ == Pi], 
          Show[{
            $CellContext`curveTplus0[$CellContext`r$$, $CellContext`a$$], 
            $CellContext`curveTminus0[$CellContext`r$$, $CellContext`a$$], \
$CellContext`arrowup, $CellContext`arrowdown, $CellContext`sphere, \
$CellContext`circle, $CellContext`circle1}], 
          Show[{
            $CellContext`curveTplus1[$CellContext`r$$, \
$CellContext`\[Theta]$$, $CellContext`a$$], 
            $CellContext`curveTplus2[$CellContext`r$$, \
$CellContext`\[Theta]$$, $CellContext`a$$], 
            $CellContext`curveTminus1[$CellContext`r$$, \
$CellContext`\[Theta]$$, $CellContext`a$$], 
            $CellContext`curveTminus2[$CellContext`r$$, \
$CellContext`\[Theta]$$, $CellContext`a$$], $CellContext`arrowup, \
$CellContext`arrowdown, $CellContext`sphere, $CellContext`circle, \
$CellContext`circle1}]]]}, 
      "Specifications" :> {{{$CellContext`a$$, 0.5}, 0, 0.999, 
         0.05}, {{$CellContext`r$$, 5}, 
         Dynamic[1 + Sqrt[1 - $CellContext`a$$^2] + 0.001], 
         6}, {{$CellContext`\[Theta]$$, Rational[1, 2] Pi}, 0, Pi, 
         Rational[1, 60] Pi}, {{$CellContext`Q$$, 1}, 0, 5}}, "Options" :> {},
       "DefaultOptions" :> {}],
     ImageSizeCache->{1346., {238., 245.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{3.684087424399914*^9}]
}, {2}]]
},
WindowSize->{1520, 781},
WindowMargins->{{-8, Automatic}, {Automatic, 0}},
FrontEndVersion->"11.0 for Microsoft Windows (64-bit) (July 28, 2016)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 73059, 2026, 3406, "Input"],
Cell[73642, 2050, 4911, 94, 500, "Output"]
}, {2}]]
}
]
*)

